<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Makrual extends CI_Model
{

    public $table = 'tb_spe_ref_akrual_rek_all';
    public $id = '';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }

    // get total rows
    function total_rows($q = NULL)
    {
        /*$this->db->like('', $q);*/
        $this->db->or_like('Kd_Akrual_1', $q);
        $this->db->or_like('Kd_Akrual_2', $q);
        $this->db->or_like('Kd_Akrual_3', $q);
        $this->db->or_like('Kd_Akrual_4', $q);
        $this->db->or_like('Kd_Akrual_5', $q);
        $this->db->or_like('Akun_Akrual_1', $q);
        $this->db->or_like('Akun_Akrual_2', $q);
        $this->db->or_like('Akun_Akrual_3', $q);
        $this->db->or_like('Akun_Akrual_4', $q);
        $this->db->or_like('Akun_Akrual_5', $q);
        $this->db->or_like('Nm_Akrual_1', $q);
        $this->db->or_like('Nm_Akrual_2', $q);
        $this->db->or_like('Nm_Akrual_3', $q);
        $this->db->or_like('Nm_Akrual_4', $q);
        $this->db->or_like('Nm_Akrual_5', $q);
        $this->db->or_like('D_K', $q);
        $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL)
    {
        $this->db->order_by($this->id, $this->order);
        /*$this->db->like('', $q);*/
        $this->db->or_like('Kd_Akrual_1', $q);
        $this->db->or_like('Kd_Akrual_2', $q);
        $this->db->or_like('Kd_Akrual_3', $q);
        $this->db->or_like('Kd_Akrual_4', $q);
        $this->db->or_like('Kd_Akrual_5', $q);
        $this->db->or_like('Akun_Akrual_1', $q);
        $this->db->or_like('Akun_Akrual_2', $q);
        $this->db->or_like('Akun_Akrual_3', $q);
        $this->db->or_like('Akun_Akrual_4', $q);
        $this->db->or_like('Akun_Akrual_5', $q);
        $this->db->or_like('Nm_Akrual_1', $q);
        $this->db->or_like('Nm_Akrual_2', $q);
        $this->db->or_like('Nm_Akrual_3', $q);
        $this->db->or_like('Nm_Akrual_4', $q);
        $this->db->or_like('Nm_Akrual_5', $q);
        $this->db->or_like('D_K', $q);
        $this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        return  $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        return   $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->delete($this->table);
    }
}

/* End of file Makrual.php */
/* Location: ./application/models/Makrual.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2018-11-09 00:52:40 */
/* http://harviacode.com */
